> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blink.store/llms.txt
> Use this file to discover all available pages before exploring further.

# List customer entitlements

> Retrieve the active entitlements (feature flags) granted to a customer based on their active orders and subscriptions.



## OpenAPI

````yaml get /customers/{id}/entitlements
openapi: 3.0.0
info:
  title: Blink API
  description: Comprehensive API documentation for Blink.
  version: 1.0.0
servers:
  - url: https://api.blink.store/v1
security: []
paths:
  /customers/{id}/entitlements:
    get:
      tags:
        - Customers
      summary: List customer entitlements
      description: >-
        Retrieve the active entitlements (feature flags) granted to a customer
        based on their active orders and subscriptions.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  meta:
                    type: object
                    properties:
                      total:
                        type: integer
                  data:
                    type: object
                    additionalProperties:
                      type: string
                    description: A key-value map of active entitlements.

````